<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.14.0/css/all.min.css"
      integrity="sha512-1PKOgIY59xJ8Co8+NE6FZ+LOAZKjy+KY8iq0G4B3CyeY6wYHN3yt9PW0XpSriVlkMXe40PTKnXrLnZ9+fkDaog=="
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="style.css" />
    <title>Chat app</title>
  </head>
  <body>
    <h1 class="title">Chat App 💬</h1>
    <div class="main">
      <div class="name">
        <span><i class="far fa-user"></i></span>
        <input
          type="text"
          id="name-input"
          class="name-input"
          value="guest user"
          maxlength="20"
        />
      </div>

      <ul class="message-container" id="message-container">
        <!-- These li elements are only for reference, and therefore, they are commented out... -->
        <!-- <li class="message-left">
          <p class="message">
            lorem impsun
            <span>bluebird ● 26 July 10:40</span>
          </p>
        </li>
        <li class="message-right">
          <p class="message">
            lorem impsun
            <span>bluebird ● 26 July 10:40</span>
          </p>
        </li>
        <li class="message-feedback">
          <p class="feedback" id="feedback">✍️ killer is typing a message...</p>
        </li> -->
      </ul>

      <form class="message-form" id="message-form">
        <input
          type="text"
          name="message"
          id="message-input"
          class="message-input"
          placeholder="Enter Message Here"
        />
        <div class="v-divider"></div>
        <button type="submit" class="send-button">
          send <span><i class="fas fa-paper-plane"></i></span>
        </button>
      </form>
    </div>
    <h3 class="clients-total" id="client-total">Total clients: 2</h3>

    <script src="/socket.io/socket.io.js"></script>
    <script
      src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.28.0/moment.min.js"
      integrity="sha512-Q1f3TS3vSt1jQ8AwP2OuenztnLU6LwxgyyYOG1jgMW/cbEMHps/3wjvnl1P3WTrF3chJUWEoxDUEjMxDV8pujg=="
      crossorigin="anonymous"
    ></script>
    <script src="main.js"></script>
  </body>
</html>
